> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar create credit memo

> Ar create credit memo

### Request body

`CreateArCreditMemoRequest`

<ParamField body="amount" type="string" required>
  Decimal amount as a string.
</ParamField>

<ParamField body="customer_id" type="string" required />

<ParamField body="notes" type="string,null" />

<ParamField body="original_invoice_id" type="string,null" />

<ParamField body="reason" type="string" required>
  One of `returned_goods`, `pricing_error`, `overpayment`, `damaged`,
  `service_credit`, `goodwill_adjustment`, `other`.
</ParamField>

### Responses

<ResponseField name="201" type="ArCreditMemoResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/ar/credit-memos' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": "string",
    "customer_id": "string",
    "notes": null,
    "original_invoice_id": null,
    "reason": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "amount": "string",
    "applied_amount": "string",
    "created_at": "string",
    "credit_memo_number": "string",
    "customer_id": "string",
    "id": "string",
    "reason": "string",
    "status": "string",
    "unapplied_amount": "string"
  }
  ```
</ResponseExample>
